
### 无线应用通用封装API-radio/myRadio.c

1. **初始化**-`void myRadio_init(int agr0, void *agr1_ptr)`
 	射频芯片驱动IO口初始化-`myRadio_gpio_init()`
 	射频基本参数初始化
2. **射频运行底层执行API**-`void myRadio_process(void)`
 	放在while循环中执行
3. **射频进入休眠API**-`void myRadio_abort(void)`
4. **获取无线中心频率**-`uint32_t myRadio_getFrequency(void)`
5. **设置无线中心频率**-`void myRadio_setFrequency(uint32_t freq)`
6. **获取发射功率-**`int8_t myRadio_getTxPower(void)`
7. **设置发射功率**-`void myRadio_setTxPower(int8_t power)`
8. **获取无线波特率**-`uint8_t myRadio_getBaudrate(void)`
9. **设置无线波特率**-`void myRadio_setBaudrate(uint8_t br)`
10. **进入数据包发射模式**-`void myRadio_transmit(rfTxPacket_ts *packet)`
11. **进入数据包接收模式**-`void myRadio_receiver(void)`
12. **无线特殊模式功能**-`void myRadio_setCtrl(controlMode_te mode, uint32_t value)`
 	单载波发射功能，预留
 	进入direct模式，预留
 	连续调制波，预留
13. **射频中断回调函数**`void myRadio_gpioCallback(uint8_t index)`
    外部中断检测定义在`myRadio_gpio.c`
14. 其他，官方未定义，属于第三方定义的常用API，不同厂家的射频方案不一定都能用

### 版本更新

- V03
    - 优化大功率模块PA控制信号，发送接收完后自动关闭PA，避免PA长时间工作导致过热

- V11
    - 增加串口实现无线无线数据收发

- V12-2024年7月16日
    - 修复近距离通讯丢包问题，修改config配置表（4Mbps）
    - 优化屏幕成功率显示

## 二十三、免责说明
1、本工程驱动软件只提供做演示项目使用，未经过大批量项目验证，客户需谨慎使用，如果使用在正式项目中引发的所有问题，本司概不负责。使用过程若发现任何问题，可及时与本司相关人员联系。
2、本工程所有文件可以用于商业性项目移植，无需向本司申请。

