/********************************************************************
*   A5133Config.h
*   RF Chip-A5133 Config Definitions
*
********************************************************************/
#ifndef _A5133CONFIG_h_
#define _A5133CONFIG_h_

/************************************
* Define DR
************************************/
#define DR_4Mbps        //IF=4MHz  
// #define DR_2Mbps      //IF=2MHz 						
// #define DR_1Mbps      //IF=1MHz, SRD=0
// #define DR_500Kbps    //IF=1MHz, SRD=1
 

#ifdef DR_4Mbps
const uint8_t A5133_RFConfigTab_Main[]=
{
	0x00, //RESET register,			
	0x62, //MODE register, 
	0x00, //CALIBRATION register,	
	0x3F, //FIFO1 register,
	0x00, //FIFO2 register,
	0x00, //FIFO register,			
	0x00, //IDDATA register,		
	0x00, //RCOSC1 register,
	0x00, //RCOSC2 register,
	0x0C, //RCOSC3 register,
	0x02, //CKO register,
	0x01, //GPIO1 register
	0x1D, //GPIO2 register,
	0x1F, //DATARATECLOCK register,
	0x00, //PLL1 register,
	0x1E, //PLL2 register, 				
	0x59, //PLL3 register,
	0x74, //PLL4 register,
	0x01, //PLL5 register,
	0x28, //ChannelGroup1 register,2024年7月16日
	0x50, //ChannelGroup1 register,2024年7月16日
	0x2D, //TX1 register, 				
	0x40, //TX2 register,
	0x1B, //DELAY1 register,
	0x40, //DELAY2 register,
	0x70, //RX register,
	0x7B, //RXGAIN1 register,
	0xC0, //RXGAIN2 register,				
	0x3C, //RXGAIN3 register,
	0xCA, //RXGAIN4 register,
	0x00, //RSSI register,
	0xC1, //ADC register,2024年7月16日
	0x00, //CODE1 register,
	0x00, //CODE2 register, 				
	0x00, //CODE3 register,
	0xE4, //IFCAL1 register,	
	0x01, //IFCAL2 register,    			
	0x4F, //VCOCCAL register,	
	0xC0, //VCOCAL1 register,
	0x80, //VCOCAL2 register,
	0x30, //VCO deviation 1 register,
	0x40, //VCO deviation 2 register,
	0x00, //DSA register,
	0xFF, //VCO Modulation delay register,	
	0x40, //BATTERY register,	 
	0xA7, //TXTEST register,2024年7月16日
	0x57, //RXDEM1 register,
	0x74, //RXDEM2 register,
	0xF3, //CPC1 register,
	0x33, //CPC2 register,	
	0x4D, //CRYSTAL register,
	0x15, //PLLTEST register,
	0x0F, //VCOTEST register,
	0x00, //RF Analog register,
	0x00, //Key data register,
	0x33, //Channel select register,   
	0x00, //ROM register,
	0x00, //DataRate register,
	0x00, //FCR register,
	0x00, //ARD register,
	0x00, //AFEP register,
	0x00, //FCB register,
	0x00, //KEYC register,
	0x00  //USID register,
};

const uint8_t A5133_RFConfigTab_Addr0x20[]=
{
	0x0E, //page0, 
	0x00, //page1,	
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0x00, //page6,
	0x00, //page7,
	0x00, //page8,
	0x00, //page9,
	0x02, //page10,
	0x00, //page11,
	0x00  //page12,	
};

const uint8_t A5133_RFConfigTab_Addr0x21[]=
{
	0x09, //page0, 
	0x00, //page1,	
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0xE0, //page6,2024年7月16日
	0x00, //page7,
	0x2C, //page8,2024年7月16日
	0x4F, //page9,
	0x01, //page10
	0x42, //page11,2024年7月16日
	0x56  //page12 crystal type 3225, CL=9pF, CSXTL=108,2024年7月16日
};

const uint8_t A5133_RFConfigTab_Addr0x22[]=
{
	0x00, //page0, 
	0x10, //page1,
	0x00, //Page2,
	0x10, //page3,
	0x00, //page4,
	0x04  //page5,	
};

const uint8_t A5133_RFConfigTab_Addr0x2A[]=
{
	0x00, //page0, 
	0x01, //page1,	
	0xF0, //Page2,
	0x80, //page3,
	0x80, //page4,
	0x48, //page5,
	0x03, //page6,2024年7月16日
	0xC0, //page7,
	0x3A, //page8,
	0x3E, //page9,
	0xE8, //page10,
	0x80, //page11,
	0x00  //page12,
};

const uint8_t A5133_RFConfigTab_Addr0x38[]=
{
	0x80, //page0,
	0x50, //page1,2024年7月16日
	0x20, //page2,
	0x64, //page3,
	0x20, //page4,
	0x40, //page5, //fps=0,7,2024年7月16日
	0x60, //page6,
	0x04, //page7,
	0x00, //page8,
	0x00, //page9,
	0x00, //page10,
	0x00  //page11,
};  

const uint8_t ACQ_Tab[]=
{
	0x03,0x50, 0x03,0x50, 0x03,0x50, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x00,  //0c00~0x0F,
   0x03,0x40, 0x03,0x40, 0x03,0x40, 0x02,0xB0, 0x03,0x20, 0x02,0xc0, 0x02,0x80, 0x03,0xF0,
	0x02,0x80, 0x02,0x80, 0x02,0x80, 0x02,0x80, 0x03,0x20, 0x03,0x00, 0x03,0x20, 0x02,0xa0,  //0x10~0x1F
   0x03,0x60, 0x02,0x80, 0x03,0x30, 0x03,0x40, 0x03,0x50, 0x03,0x40, 0x03,0x50, 0x03,0x00
};    		
#endif

#ifdef DR_2Mbps
const uint8_t A5133_RFConfigTab_Main[]=
{
	0x00, //RESET register,			
	0x62, //MODE register, 
	0x00, //CALIBRATION register,	
	0x3F, //FIFO1 register,
	0x00, //FIFO2 register,
	0x00, //FIFO register,			
	0x00, //IDDATA register,		
	0x00, //RCOSC1 register,
	0x00, //RCOSC2 register,
	0x0C, //RCOSC3 register,
	0x02, //CKO register,
	0x01, //GPIO1 register
	0x1D, //GPIO2 register,
	0x1F, //DATARATECLOCK register,
	0x00, //PLL1 register,
	0x1E, //PLL2 register, 				
	0x59, //PLL3 register,
	0x74, //PLL4 register,
	0x01, //PLL5 register,
	0x32, //ChannelGroup1 register,
	0x64, //ChannelGroup1 register,
	0x2C, //TX1 register, 				
	0x40, //TX2 register,
	0x1B, //DELAY1 register,
	0x40, //DELAY2 register,
	0x70, //RX register,
	0x7B, //RXGAIN1 register,
	0xC0, //RXGAIN2 register,				
	0x1C, //RXGAIN3 register,
	0xCA, //RXGAIN4 register,
	0x00, //RSSI register,
	0xC9, //ADC register,
	0x00, //CODE1 register,
	0x00, //CODE2 register, 				
	0x00, //CODE3 register,
	0xA4, //IFCAL1 register,	
	0x01, //IFCAL2 register,    			
	0x4F, //VCOCCAL register,	
	0xC0, //VCOCAL1 register,
	0x80, //VCOCAL2 register,
	0x30, //VCO deviation 1 register,
	0x00, //VCO deviation 2 register,
	0x00, //DSA register,
	0xFF, //VCO Modulation delay register,	
	0x40, //BATTERY register,	 
	0xA4, //TXTEST register,
	0x57, //RXDEM1 register,
	0x74, //RXDEM2 register,
	0xF3, //CPC1 register,
	0x73, //CPC2 register,	
	0x4D, //CRYSTAL register,
	0x15, //PLLTEST register,
	0x0F, //VCOTEST register,
	0x00, //RF Analog register,
	0x00, //Key data register,
	0x11, //Channel select register,   
	0x00, //ROM register,
	0x00, //DataRate register,
	0x00, //FCR register,
	0x00, //ARD register,
	0x00, //AFEP register,
	0x00, //FCB register,
	0x00, //KEYC register,
	0x00  //USID register,
};

const uint8_t A5133_RFConfigTab_Addr0x20[]=
{
	0x04, //page0, 
	0x00, //page1,	
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0x00, //page6,
	0x00, //page7,
	0x00, //page8,
	0x00, //page9,
	0x02, //page10,
	0x00, //page11,
	0x00  //page12,
};

const uint8_t A5133_RFConfigTab_Addr0x21[]=
{
	0x09, //page0, 
	0x00, //page1,	
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0xC0, //page6,
	0x00, //page7,
	0x7C, //page8,
	0x4F, //page9,
	0x01, //page10
	0x43, //page11
	0x3C  //page12
};

const uint8_t A5133_RFConfigTab_Addr0x22[]=
{
	0x00, //page0, 
	0x10, //page1,
	0x00, //Page2,
	0x10, //page3,
	0x00, //page4,
	0x04  //page5,
};

const uint8_t A5133_RFConfigTab_Addr0x2A[]=
{
	0x00, //page0, 
	0x01, //page1,	
	0xF0, //Page2,
	0x80, //page3,
	0x80, //page4,
	0x48, //page5,
	0x07, //page6,
	0xC0, //page7,
	0x3A, //page8,
	0x3E, //page9,
	0xE8, //page10,
	0x80, //page11,
	0x00  //page12,
};

const uint8_t A5133_RFConfigTab_Addr0x38[]=
{
	0x8C, //page0,
	0x53, //page1,
	0x1E, //page2,
	0x64, //page3,
	0x1A, //page4,
	0x40, //page5, 
	0x60, //page6,
	0x04, //page7,
	0x00, //page8,
	0x00, //page9,
	0x00, //page10,
	0x00  //page11,
};

const uint8_t ACQ_Tab[]=
{
   0x03,0x50, 0x03,0x50, 0x03,0x50, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x00,  //0c00~0x0F,
   0x03,0x40, 0x03,0x40, 0x03,0x40, 0x02,0xB0, 0x03,0x20, 0x02,0xc0, 0x02,0x80, 0x03,0xF0,
	0x02,0x80, 0x02,0x80, 0x02,0x80, 0x02,0x80, 0x03,0x20, 0x03,0x00, 0x03,0x20, 0x02,0xa0,  //0x10~0x1F
   0x03,0x60, 0x02,0x80, 0x03,0x30, 0x03,0x40, 0x03,0x50, 0x03,0x40, 0x03,0x50, 0x03,0x00
};
#endif

#ifdef DR_1Mbps
const uint8_t A5133_RFConfigTab_Main[]=
{
	0x00, //RESET register,			
	0x62, //MODE register, 
	0x00, //CALIBRATION register,	
	0x3F, //FIFO1 register,
	0x00, //FIFO2 register,
	0x00, //FIFO register,			
	0x00, //IDDATA register,		
	0x00, //RCOSC1 register,
	0x00, //RCOSC2 register,
	0x0C, //RCOSC3 register,
	0x02, //CKO register,
	0x01, //GPIO1 register
	0x1D, //GPIO2 register,
	0x1F, //DATARATECLOCK register,
	0x00, //PLL1 register,
	0x1E, //PLL2 register, 				
	0x59, //PLL3 register,
	0x74, //PLL4 register,
	0x01, //PLL5 register,
	0x32, //ChannelGroup1 register,
	0x64, //ChannelGroup1 register,
	0x2B, //TX1 register, 				
	0x40, //TX2 register,
	0x1B, //DELAY1 register,
	0x40, //DELAY2 register,
	0x70, //RX register,
	0x7B, //RXGAIN1 register,
	0xC0, //RXGAIN2 register,				
	0x0C, //RXGAIN3 register,
	0xCA, //RXGAIN4 register,
	0x00, //RSSI register,
	0xC9, //ADC register,
	0x00, //CODE1 register,
	0x00, //CODE2 register, 				
	0x00, //CODE3 register,
	0x84, //IFCAL1 register,	
	0x01, //IFCAL2 register,    			
	0x4F, //VCOCCAL register,	
	0xC0, //VCOCAL1 register,
	0x80, //VCOCAL2 register,
	0x10, //VCO deviation 1 register,
	0x00, //VCO deviation 2 register,
	0x00, //DSA register,
	0xC0, //VCO Modulation delay register,	
	0x40, //BATTERY register,	 
	0xA4, //TXTEST register,
	0x57, //RXDEM1 register,
	0x74, //RXDEM2 register,
	0xF3, //CPC1 register,
	0x33, //CPC2 register,	
	0x4D, //CRYSTAL register,
	0x15, //PLLTEST register,
	0x0F, //VCOTEST register,
	0x00, //RF Analog register,
	0x00, //Key data register,
	0x01, //Channel select register,   
	0x00, //ROM register,
	0x00, //DataRate register,
	0x00, //FCR register,
	0x00, //ARD register,
	0x00, //AFEP register,
	0x00, //FCB register,
	0x00, //KEYC register,
	0x00  //USID register,
};

const uint8_t A5133_RFConfigTab_Addr0x20[]=
{
	0x04, //page0, 
	0x00, //page1,	
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0x00, //page6,
	0x00, //page7,
	0x00, //page8,
	0x00, //page9,
	0x02, //page10,
	0x00, //page11,
	0x00  //page12,
};

const uint8_t A5133_RFConfigTab_Addr0x21[]=
{
	0x09, //page0, 
	0x00, //page1,	
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0xC0, //page6,
	0x00, //page7,
	0x7C, //page8,
	0x4F, //page9,
	0x01, //page10
	0x43, //page11
	0x54  //page12
};

const uint8_t A5133_RFConfigTab_Addr0x22[]=
{
	0x00, //page0, 
	0x10, //page1,
	0x00, //Page2,
	0x10, //page3,
	0x00, //page4,
	0x04  //page5,
};

const uint8_t A5133_RFConfigTab_Addr0x2A[]=
{
	0x00, //page0, 
	0x01, //page1,	
	0xF0, //Page2,
	0x80, //page3,
	0x80, //page4,
	0x48, //page5,
	0x07, //page6,
	0xC0, //page7,
	0x3A, //page8,
	0x3E, //page9,
	0xE8, //page10,
	0x80, //page11,
	0x00  //page12,
};

const uint8_t A5133_RFConfigTab_Addr0x38[]=
{
	0x8C, //page0,
	0x53, //page1,
	0x1E, //page2,
	0x64, //page3,
	0x1A, //page4,
	0x40, //page5, 
	0x60, //page6,
	0x04, //page7,
	0x00, //page8,
	0x00, //page9,
	0x00, //page10,
	0x00  //page11,
};

const uint8_t ACQ_Tab[]=
{
	0x03,0x50, 0x03,0x50, 0x03,0x50, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x00,  //0c00~0x0F,
   0x03,0x40, 0x03,0x40, 0x03,0x40, 0x02,0xB0, 0x03,0x20, 0x02,0xc0, 0x02,0x80, 0x03,0xF0,
	0x02,0x80, 0x02,0x80, 0x02,0x80, 0x02,0x80, 0x03,0x20, 0x03,0x00, 0x03,0x20, 0x02,0xa0,  //0x10~0x1F
   0x03,0x60, 0x02,0x80, 0x03,0x30, 0x03,0x40, 0x03,0x50, 0x03,0x40, 0x03,0x50, 0x03,0x00
};
#endif

#ifdef DR_500Kbps
const uint8_t A5133_RFConfigTab_Main[]=
{
	0x00, //RESET register,			
	0x62, //MODE register, 
	0x00, //CALIBRATION register,	
	0x3F, //FIFO1 register,
	0x00, //FIFO2 register,
	0x00, //FIFO register,			
	0x00, //IDDATA register,		
	0x00, //RCOSC1 register,
	0x00, //RCOSC2 register,
	0x0C, //RCOSC3 register,
	0x02, //CKO register,
	0x01, //GPIO1 register
	0x1D, //GPIO2 register,
	0x1F, //DATARATECLOCK register,
	0x00, //PLL1 register,
	0x1E, //PLL2 register, 				
	0x59, //PLL3 register,
	0x74, //PLL4 register,
	0x01, //PLL5 register,
	0x32, //ChannelGroup1 register,
	0x64, //ChannelGroup1 register,
	0x2B, //TX1 register, 				
	0x40, //TX2 register,
	0x1B, //DELAY1 register,
	0x40, //DELAY2 register,
	0x70, //RX register,
	0x7B, //RXGAIN1 register,
	0xC0, //RXGAIN2 register,				
	0x0C, //RXGAIN3 register,
	0xCA, //RXGAIN4 register,
	0x00, //RSSI register,
	0xC9, //ADC register,
	0x00, //CODE1 register,
	0x00, //CODE2 register, 				
	0x00, //CODE3 register,
	0x84, //IFCAL1 register,	
	0x01, //IFCAL2 register,    			
	0x4F, //VCOCCAL register,	
	0xC0, //VCOCAL1 register,
	0x80, //VCOCAL2 register,
	0x10, //VCO deviation 1 register,
	0x00, //VCO deviation 2 register,
	0x00, //DSA register,
	0xC0, //VCO Modulation delay register,	
	0x40, //BATTERY register,	 
	0xA4, //TXTEST register,
	0x57, //RXDEM1 register,
	0x74, //RXDEM2 register,
	0xF3, //CPC1 register,
	0x73, //CPC2 register,	
	0x4D, //CRYSTAL register,
	0x15, //PLLTEST register,
	0x0F, //VCOTEST register,
	0x00, //RF Analog register,
	0x00, //Key data register,
	0x01, //Channel select register,   
	0x00, //ROM register,
	0x01, //DataRate register,
	0x00, //FCR register,
	0x00, //ARD register,
	0x00, //AFEP register,
	0x00, //FCB register,
	0x00, //KEYC register,
	0x00  //USID register,
};

const uint8_t A5133_RFConfigTab_Addr0x20[]=
{
	0x04, //page0, 
	0x00, //page1,
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0x00, //page6,
	0x00, //page7,
	0x00, //page8,
	0x00, //page9,
	0x02, //page10,
	0x00, //page11,
	0x00  //page12,
};

const uint8_t A5133_RFConfigTab_Addr0x21[]=
{
	0x09, //page0, 
	0x00, //page1,	
	0x00, //Page2,
	0x00, //page3,
	0x00, //page4,
	0x00, //page5,
	0xC0, //page6,
	0x00, //page7,
	0x7C, //page8,
	0x4F, //page9,
	0x01, //page10
	0x43, //page11
	0x3C  //page12
};

const uint8_t A5133_RFConfigTab_Addr0x22[]=
{
	0x00, //page0, 
	0x10, //page1,
	0x00, //Page2,
	0x10, //page3,
	0x00, //page4,
	0x04  //page5,
};

const uint8_t A5133_RFConfigTab_Addr0x2A[]=
{
	0x00, //page0, 
	0x01, //page1,	
	0xF0, //Page2,
	0x80, //page3,
	0x80, //page4,
	0x48, //page5,
	0x07, //page6,
	0xC0, //page7,
	0x3A, //page8,
	0x3E, //page9,
	0xE8, //page10,
	0x80, //page11,
	0x00  //page12,
};

const uint8_t A5133_RFConfigTab_Addr0x38[]=
{
	0x8C, //page0,
	0x53, //page1,
	0x1E, //page2,
	0x64, //page3,
	0x1A, //page4,
	0x40, //page5, 
	0x60, //page6,
	0x04, //page7,
	0x00, //page8,
	0x00, //page9,
	0x00, //page10,
	0x00  //page11,
};

const uint8_t ACQ_Tab[]=
{
	0x03,0x50, 0x03,0x50, 0x03,0x50, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x40, 0x03,0x00,  //0c00~0x0F,
   0x03,0x40, 0x03,0x40, 0x03,0x40, 0x02,0xB0, 0x03,0x20, 0x02,0xc0, 0x02,0x80, 0x03,0xF0,
	0x02,0x80, 0x02,0x80, 0x02,0x80, 0x02,0x80, 0x03,0x20, 0x03,0x00, 0x03,0x20, 0x02,0xa0,  //0x10~0x1F
   0x03,0x60, 0x02,0x80, 0x03,0x30, 0x03,0x40, 0x03,0x50, 0x03,0x40, 0x03,0x50, 0x03,0x00
};
#endif

#endif